Subject: Re: bug#29586: Please revert change to package deletion

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Dec 2017 10:58:40 +0200

> From: John Wiegley <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 08 Dec 2017 21:50:31 -0800
> 
> >>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
> 
> EZ> The problem is that many users have their packages auto-updated, so the
> EZ> trash piles up quite quickly.
> 
> Not to be contentious, but how much of an impact could that really have for
> Emacs packages? I use >350 packages, and my site-lisp is 400M. Even if I
> auto-updated everything, every day, that's *still* ~1% of my disk, which is
> what I usually allocate for trash accumulation.

The disk space is not the issue, I think, not nowadays.  I believe the
issue is the _number_ of files in the trash: if there are an awful lot
of them, they make looking for those "precious" mistakenly deleted
files harder.  Or at least this is my understanding; I don't use
trash, so have no experience of my own to share.